Update a webhook’s URL or events.
cURL
curl --request PATCH \ --url https://api.unosend.co/webhooks/{id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "url": "<string>", "events": [ "<string>" ] } '
Documentation IndexFetch the complete documentation index at: https://docs.unosend.co/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.unosend.co/llms.txt
Use this file to discover all available pages before exploring further.
curl -X PATCH https://api.unosend.co/webhooks/wh_123 \ -H "Authorization: Bearer un_xxxxxxxxxx" \ -H "Content-Type: application/json" \ -d '{ "events": ["email.delivered", "email.bounced", "email.opened"] }'
{ "success": true, "data": { "id": "wh_123", "url": "https://yourapp.com/webhooks/unosend", "events": ["email.delivered", "email.bounced", "email.opened"] } }